質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Firebase

    897questions

    Firebaseは、Googleが提供するBasSサービスの一つ。リアルタイム通知可能、並びにアクセス制御ができるオブジェクトデータベース機能を備えます。さらに認証機能、アプリケーションのログ解析機能などの利用も可能です。

  • npm

    368questions

    npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

firebaseでdeploy時に410errorが発生する

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 239

kuniatsu

score 117

firebaseでdeployができません。

Error: HTTP Error: 410, This version of the Firebase CLI is no longer able to deploy to Firebase Hosting. Please upgrade to a newer v
ersion (>= 4.1.0). If you have further questions, please reach out to Firebase support.


こちらのエラーが発生します。
firebaseのversionが古いことを指摘されているように見えますが、updateしてもこの表示がで続けてしまいます。

mbp:k kuniatsu$ sudo npm install -g firebase-tools
/Users/kuniatsu/.npm-global/bin/firebase -> /Users/kuniatsu/.npm-global/lib/node_modules/firebase-tools/lib/bin/firebase.js
+ firebase-tools@6.2.2
updated 1 package in 5.479s

mbp:k kuniatsu$ sudo firebase deploy
=== Deploying to 'k'...
i  deploying hosting
i  hosting: preparing public directory for upload...
Error: HTTP Error: 410, This version of the Firebase CLI is no longer able to deploy to Firebase Hosting. Please upgrade to a newer v
ersion (>= 4.1.0). If you have further questions, please reach out to Firebase support.

mbp:k kuniatsu$ firebase --version
3.19.3

mbp:k kuniatsu$ npm --version
6.4.1


firebaseをdeployするのに問題となっていることはなんでしょうか?
よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • xenbeat

    2019/01/13 19:42

    > updateしてもこの表示がで続けてしまいます
    updateした後のバージョンを追記ください

    キャンセル

  • kuniatsu

    2019/01/13 19:53

    ご連絡ありがとうございます。3.19.3です。

    mbp:k kuniatsu$ firebase --version
    3.19.3

    キャンセル

回答 1

checkベストアンサー

0

mbp:k kuniatsu$ firebase --version
3.19.3

最新が6.2.2なのでバージョンが古すぎます。
npm i -g firebase-toolsを実行してアップデートを完了してください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/01/13 20:41

    はい、最初にそのコマンドをしていますが、何か手順などが違いますか?

    キャンセル

  • 2019/01/13 21:01 編集

    > 最初にそのコマンドをしています
    確かにされてますね。すみません見逃していました。
    「npm upgrade -g firebase-tools」を試してみて状況変わらないなら、一度ターミナル、場合によってはPCを再起動してみてください。

    キャンセル

  • 2019/01/14 00:09

    再起動しましたが、状況河原津でうまく動作しませんでした。現状の問題点はversionにあるというところまで切り分けれたので、別質問でupdateができない問題として扱っていこうと思います。https://teratail.com/questions/168635?modal=q-comp
    もしお手すきでしたら引き続きよろしくお願いします。

    キャンセル

同じタグがついた質問を見る

  • Firebase

    897questions

    Firebaseは、Googleが提供するBasSサービスの一つ。リアルタイム通知可能、並びにアクセス制御ができるオブジェクトデータベース機能を備えます。さらに認証機能、アプリケーションのログ解析機能などの利用も可能です。

  • npm

    368questions

    npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。